package org.pvv.gnapplet;

/**
 * Class for reading data from a Gnbus request.
 */
public class RequestData {

    private byte[] data;

    private int pos;

    public RequestData(byte[] data) {
        this.data = data;
        pos = 0;
    }

    public short readShort() {
        short result = (short)((data[pos] * 255) + data[pos + 1]);

        pos += 2;

        return result;
    }

    public byte[] readByteArray() {
        short length = readShort();

        byte[] result = new byte[length];

        System.arraycopy(data, pos, result, 0, length);

        pos += length;

        return result;
    }
}
