package org.pvv.gnapplet;

import junit.framework.Assert;
import org.junit.Test;

import java.util.Arrays;

/**
 * Unit tests for GnbusRequest.
 */
public class GnbusRequestTest {
    @Test
    public void testParse() throws Exception {
        byte type = 5;
        short command = 27;
        byte[] data = TestUtil.createRequest(type, command);
        System.out.println("Data: " + Arrays.toString(data));

        GnbusRequest result = GnbusRequest.parse(data);
        System.out.println("Parsed: " + result);

        Assert.assertEquals("Wrong type", type, result.getType());
        Assert.assertEquals("Wrong command", command, result.getCommand());
    }
}
